package com.sunxung.factoring.entity.project;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * <p>
 * 项目核心企业-其他经营异常
 * </p>
 *
 * @author liutao
 * @since 2023-12-15
 */
@TableName("project_core_enterprise_exception_data")
public class ProjectCoreEnterpriseExceptionData  {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 项目核心企业审核id
     */
    @TableField("project_core_enterprise_audit_id")
    private Long projectCoreEnterpriseAuditId;

    /**
     * sop端 经营异常id
     */
    @TableField("c_exception_data_id")
    private Long cExceptionDataId;

    /**
     * 列入日期，精确到天，如“2022-01-01”
     */
    @TableField("add_date")
    private String addDate;

    /**
     * 作出决定机关(列入)
     */
    @TableField("add_office")
    private String addOffice;

    /**
     * 列入经营异常名录原因
     */
    @TableField("add_reason")
    private String addReason;

    /**
     * 经营异常 0 否 1 是
     */
    @TableField("exception")
    private Integer exception;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getProjectCoreEnterpriseAuditId() {
        return projectCoreEnterpriseAuditId;
    }

    public void setProjectCoreEnterpriseAuditId(Long projectCoreEnterpriseAuditId) {
        this.projectCoreEnterpriseAuditId = projectCoreEnterpriseAuditId;
    }
    public Long getcExceptionDataId() {
        return cExceptionDataId;
    }

    public void setcExceptionDataId(Long cExceptionDataId) {
        this.cExceptionDataId = cExceptionDataId;
    }
    public String getAddDate() {
        return addDate;
    }

    public void setAddDate(String addDate) {
        this.addDate = addDate;
    }
    public String getAddOffice() {
        return addOffice;
    }

    public void setAddOffice(String addOffice) {
        this.addOffice = addOffice;
    }
    public String getAddReason() {
        return addReason;
    }

    public void setAddReason(String addReason) {
        this.addReason = addReason;
    }
    public Integer getException() {
        return exception;
    }

    public void setException(Integer exception) {
        this.exception = exception;
    }

    @Override
    public String toString() {
        return "ProjectCoreEnterpriseExceptionData{" +
            "projectCoreEnterpriseAuditId=" + projectCoreEnterpriseAuditId +
            ", cExceptionDataId=" + cExceptionDataId +
            ", addDate=" + addDate +
            ", addOffice=" + addOffice +
            ", addReason=" + addReason +
            ", exception=" + exception +
        "}";
    }
}
